<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 //this file is meant to be used as a popup from the judging teams page to view the judge info
 //it needs the judge ID passed into it.
 //thus, we do not need the normal header and footer
 require("../questions.inc.php");

 require("../common.inc.php");
 require_once("../user.inc.php");
 user_auth_required('committee', 'admin');

$preferencechoices=array(
	-2=>"Very Low",
	-1=>"Low",
	0=>"Indifferent",
	1=>"Medium",
	2=>"High"
);


 $id = intval($_GET['id']);

 send_popup_header("Judge Information");
 if($id < 1) {
	echo error(i18n("No Judge ID passed to Judges Info"));
	send_popup_footer();
	exit;
 }

 $judgeinfo = user_load($id);

 send_popup_header(i18n("Judge Information - %1 %2",array($judgeinfo['firstname'],$judgeinfo['lastname'])));

echo "Complete for {$config['FAIRYEAR']}: ".(($judgeinfo['complete']=="yes") ? "Yes" : "No");
echo "<br />";

echo "<h3>".i18n("Personal Info")."</h3>";
echo "<table class=\"viewtable\">\n";

echo "<tr>\n";
echo " <th align=\"right\">".i18n("First Name").": </th><td>{$judgeinfo['firstname']}</td>\n";
echo " <th align=\"right\">".i18n("Last Name").":</th><td>{$judgeinfo['lastname']}</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo " <th align=\"right\">".i18n("Email Address").":</th><td>{$judgeinfo['email']}</td>\n";
echo " <th align=\"right\">".i18n("City").":</th><td>{$judgeinfo['city']}</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo " <th align=\"right\">".i18n("Address 1").":</th><td>{$judgeinfo['address']}</td>\n";
echo " <th align=\"right\">".i18n($config['provincestate']).": </th><td>{$judgeinfo['province']}</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo " <th align=\"right\">".i18n("Address 2").":</th><td>{$judgeinfo['address2']}</td>\n";
echo " <th align=\"right\">".i18n("Phone (Home)").":</th><td>{$judgeinfo['phonehome']}</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo " <th align=\"right\">".i18n($config['postalzip']).":</th><td>{$judgeinfo['postalcode']}</td>\n";
echo " <th align=\"right\">".i18n("Phone (Work)").":</th><td>{$judgeinfo['phonework']}</td>\n";
echo "</tr>";

echo "<tr>\n";
echo " <th align=\"right\">".i18n("Organization").":</th><td>{$judgeinfo['organization']}</td>\n";
echo " <th align=\"right\">".i18n("Phone (Cell)").":</th><td>{$judgeinfo['phonecell']}</td>\n";
echo "</tr>";

echo "<tr><td colspan=\"4\"><hr /></td></tr>";

echo "</table>";
echo "<table>";

echo "<tr>\n";
echo " <th valign=\"top\" align=\"right\" colspan=\"2\">".i18n("Age category preference").":</th><td colspan=\"2\">";

$q=mysql_query("SELECT * FROM projectcategories 
			WHERE year='{$config['FAIRYEAR']}'");
echo mysql_error();
while($r=mysql_fetch_object($q)) {
	$p = intval($judgeinfo['cat_prefs'][$r->id]);
	echo i18n($r->category).": {$preferencechoices[$p]}<br />";
}

echo "</td>\n";
echo "</tr>\n";

echo "</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo " <th align=\"right\" colspan=\"2\">".i18n("Highest post-secondary degree").":</th>";
echo " <td colspan=\"2\">{$judgeinfo['highest_psd']}</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo " <th align=\"right\" colspan=\"2\" valign=\"top\">".i18n("Languages").":</th>";
echo " <td colspan=\"2\">".join(', ', $judgeinfo['languages']). "<br />";
echo " </td>\n";
echo "</tr>\n";

//questions_print_answers('judgereg',$judgeinfo['id'], $config['FAIRYEAR']);

echo "</table>";


echo "<hr />";
echo "<br />";
echo "<h3>Areas of Expertise</h3>";
echo "<table class=\"viewtable\">";

//grab the list of divisions, because the last fields of the table will be the sub-divisions 
$q=mysql_query("SELECT * FROM projectdivisions WHERE year='".$config['FAIRYEAR']."' ORDER BY id");
$divs=array();
while($r=mysql_fetch_object($q))
{
	$divs[]=$r->id;
	$divnames[$r->id]=$r->division;
}

/*
$subdivq=mysql_query("SELECT judges_expertise.*, 
				projectsubdivisions.subdivision, 
				projectsubdivisions.projectdivisions_id AS parent_id 
			FROM judges_expertise
				LEFT JOIN projectsubdivisions ON judges_expertise.projectsubdivisions_id=projectsubdivisions.id
			WHERE judges_id='{$judgeinfo['id']}'
				AND judges_expertise.year='".$config['FAIRYEAR']."' 
				ORDER BY projectdivisions_id, projectsubdivisions_id");
				echo mysql_error();
$judge_divs=array();
$judge_subdivs=array();
$divdata=array();
*/
/*
while($subdivr=mysql_fetch_object($subdivq))
{
	if($subdivr->projectdivisions_id)
	{
		$judge_divs[$subdivr->projectdivisions_id]=$subdivr->val;
	}
	else
		$judge_subdivs[$subdivr->parent_id][]=$subdivr->subdivision;
}
*/

foreach($divs as $div)
{
	$p = $judgeinfo['div_prefs'][$div];
	echo "<tr><th align=\"right\" >".i18n($divnames[$div]).":</th>";
	echo " <td>$p/5</td>";

	echo "<td>";
	$subq=mysql_query("SELECT * FROM projectsubdivisions WHERE 
				projectdivisions_id='$div' AND year='{$config['FAIRYEAR']}' ORDER BY subdivision");
	$sd = array();
	while($subr=mysql_fetch_object($subq)) {
		if($u['div_prefs_sub'][$subr->id] == 1) {
			$sd[] = $subdivr->subdivision;
		}
	}

	/* Only show subdiv if main div >=3 */
	if($p >= 3) echo implode(", ",$sd);
	else echo "&nbsp;";

	echo "</td>";
	echo "</tr>";
}
echo "<tr>\n";
echo " <th align=\"right\" valign=\"top\">".i18n("Other").":</th>";
echo " <td colspan=\"2\">{$judgeinfo['expertise_other']}<br />";
echo " </td>\n";
echo "</tr>\n";

echo "</table>";





send_popup_footer();

?>
